All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services
Class AbstractServiceAttribute

    com.sas.services.AbstractServiceAttribute

All Implemented Interfaces:
  ServiceAttributeInterface, java.io.Serializable

Direct Known Subclasses:
  HostAttribute, IdAttribute, IsRemotelyAccessibleAttribute, MetadataAttribute, NameValueAttribute, ServiceGroupAttribute

    public class AbstractServiceAttribute

implements ServiceAttributeInterface

Service attribute describing some additional criteria that may be used to distinguish services that implement the same service type(s) as specified by Java classes. Zero or more service attributes may be associated with a service that is to be accessible in the context of the Discovery service.

Each service is free to determine whether it wants to define attributes to qualify its lookup via the Discovery service. If such filtering is desired then the service implementor must define one or more classes that extend this `AbstractServiceAttribute` class subject to the following considerations:

- distinguished by the implementation of the `ServiceAttributeInterface` interface, which is used purely as a type identifier
- must have a default (no argument) constructor
- no methods are allowed
- each field of the object must be a public object reference
- instance variables of primitive types are not permitted
- instance variable references to object types that are static, transient, final, or not public are ignored

Since:
  1.0
See Also:
  Serialized Form

Constructor Summary
`AbstractServiceAttribute()`

Method Summary
`boolean` | `equals(java.lang.Object other)` Determines whether the other object equals this object.
`java.util.Map<java.lang.String,java.lang.String>` | `getFieldNameToValueMap()` Gets a map, keyed by the name of the field, to its value.
`int` | `hashCode()` Gets a hash code for this service attribute.
`java.lang.String` | `toString()` Gets a summary of this attribute's fields and their values.

Constructor Detail

### AbstractServiceAttribute

    public AbstractServiceAttribute()

Method Detail

### hashCode

    public final int hashCode()

  Gets a hash code for this service attribute. The hash is an XOR of all of this service's fields.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    Hash code.

### equals

    public boolean equals(java.lang.Object other)

  Determines whether the other object equals this object.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `other` - Other object.
  Returns:
    `true` if the objects are equivalent.

### getFieldNameToValueMap

    public java.util.Map<java.lang.String,java.lang.String> getFieldNameToValueMap()

  Gets a map, keyed by the name of the field, to its value.

  Returns:
    Map keyed by the `String` names of a field to their values.

### toString

    public java.lang.String toString()

  Gets a summary of this attribute's fields and their values.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    String representation of this attribute's fields and values.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.